GSlacky 2.20.2 ready to download!

Questo forum raccoglie tutte le discussioni sul progetto Gnome Slacky (Gnome per Slackware).

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Gslacky usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Citare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
gohanz
Staff
Staff
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

GSlacky 2.20.2 ready to download!

Messaggioda gohanz » mar dic 18, 2007 20:22

Dopo un mese circa dal rilascio della prima versione della revisione 2.20.1. La prima release di GSlacky-2.20.2 con supporto nativo per Compiz-Fusion è pronta.

Immagine


1) Supporto nativo per Compiz-Fusion + Compiz-fusion-icon.


2) Basato sul nuovo Mono 1.2.6


3) Nuovo motore di ricerca Beagle 0.3.1. Stavolta con tutte le fuzionalità abilitate.


4) Risolto il problema della visualizzazione delle icone per le applicazioni Gnome, quando eseguite sotto KDE.


5) Aggiunto supporto per il Bluetooth.


6) Rimosso NetworkManager, per Wicd.


7) Aggiunto Gnome-sensor-applet da richiesta.




Come al solito abbiamo il torrent

http://www.slacky.eu/gslacky/12.0/2.20. ... on.torrent


spazio ftp offerto gentilmente da Simplex!

http://slacky.uglyplace.org/repository/gnomeslk/

il server di Gnubit è momentanemente down. :cry:

Domani vedrò di scrivere migliori dettagli. Di certo la 2.20.2 è stata la più difficile da realizzare.

Avatar utente
Loris
Admin
Admin
Messaggi: 7666
Iscritto il: lun mar 31, 2003 0:00
Nome Cognome: Loris Vincenzi
Slackware: 14.1
Kernel: 3.10.17
Desktop: Kde 4.10.5
Località: Gradisca D'Isonzo
Contatta:

Messaggioda Loris » mar dic 18, 2007 21:49

Grande Andrea :thumbright:
"Ho una testa piuttosto balzana e comunque non sono quello che credete" - Roger Keith Barrett

Avatar utente
Gilmo
Linux 2.0
Linux 2.0
Messaggi: 171
Iscritto il: gio gen 18, 2007 15:44
Slackware: 12
Località: Cavalese(TN)
Contatta:

Messaggioda Gilmo » mar dic 18, 2007 22:52

Loris ha scritto:Grande Andrea :thumbright:


grazie grazie :lol:

scherzo... ringrazio gohanz da parte di mio fratello che adora gnome ;)

grande!

Avatar utente
submax82
Staff
Staff
Messaggi: 3202
Iscritto il: mer ago 31, 2005 0:00
Desktop: xfce
Distribuzione: SalixOS
Contatta:

Messaggioda submax82 » mer dic 19, 2007 10:45

grande gohanz ;) appena posso aggiungo la cosa che mi hai detto all'installer ;)

Avatar utente
gohanz
Staff
Staff
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda gohanz » mer dic 19, 2007 11:41

submax82 ha scritto:grande gohanz ;) appena posso aggiungo la cosa che mi hai detto all'installer ;)

Non ti preoccupare, alla fine ho deciso poi di omettere quella cosa. Aumentava di tanto il tempo di installazione e poi sembra che Rarian sia retrocompatibile con Scrollkeeper. Quindi non dovrebbero esserci problemi! ;)

Avatar utente
submax82
Staff
Staff
Messaggi: 3202
Iscritto il: mer ago 31, 2005 0:00
Desktop: xfce
Distribuzione: SalixOS
Contatta:

Messaggioda submax82 » mer dic 19, 2007 13:56

gohanz ha scritto:
submax82 ha scritto:grande gohanz ;) appena posso aggiungo la cosa che mi hai detto all'installer ;)

Non ti preoccupare, alla fine ho deciso poi di omettere quella cosa. Aumentava di tanto il tempo di installazione e poi sembra che Rarian sia retrocompatibile con Scrollkeeper. Quindi non dovrebbero esserci problemi! ;)


ok ... quindi non lo inserisco... ok?

Avatar utente
michelino
Staff
Staff
Messaggi: 871
Iscritto il: gio dic 21, 2006 11:59
Nome Cognome: Michelino Chionchio
Slackware: -current
Kernel: 2.6.29.6
Desktop: kde (current)
Località: Foggia

Messaggioda michelino » mer dic 19, 2007 14:23

Grande :cvdf:

Avatar utente
gohanz
Staff
Staff
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda gohanz » mer dic 19, 2007 18:41

submax82 ha scritto:
gohanz ha scritto:
submax82 ha scritto:grande gohanz ;) appena posso aggiungo la cosa che mi hai detto all'installer ;)

Non ti preoccupare, alla fine ho deciso poi di omettere quella cosa. Aumentava di tanto il tempo di installazione e poi sembra che Rarian sia retrocompatibile con Scrollkeeper. Quindi non dovrebbero esserci problemi! ;)


ok ... quindi non lo inserisco... ok?


Si confermo non inserirlo. Ci sarebbe sa correggere solo qualche file di testo. Si parla ancora del gruppo "mounters" invece che "plugdev". Inoltre non c'è più NetworkManager, quindi il gruppo "netdev" viene solo usato da Avahi.
Poi, ma non è necessario, sarebbe bello che l'installer visualizzasse gli slack-desc d i pacchetti! ;)

Avatar utente
ekxius
Linux 2.6
Linux 2.6
Messaggi: 831
Iscritto il: sab mar 18, 2006 11:01
Slackware: 12.0
Kernel: 2.6.23.12
Desktop: KDE 3.5.9
Località: Casa <-> Torino <-> Aosta
Contatta:

Messaggioda ekxius » mer dic 19, 2007 19:20

:-({|= grande gohanz

Avatar utente
submax82
Staff
Staff
Messaggi: 3202
Iscritto il: mer ago 31, 2005 0:00
Desktop: xfce
Distribuzione: SalixOS
Contatta:

Messaggioda submax82 » gio dic 20, 2007 0:14

gohanz ha scritto:
submax82 ha scritto:
gohanz ha scritto:
submax82 ha scritto:grande gohanz ;) appena posso aggiungo la cosa che mi hai detto all'installer ;)

Non ti preoccupare, alla fine ho deciso poi di omettere quella cosa. Aumentava di tanto il tempo di installazione e poi sembra che Rarian sia retrocompatibile con Scrollkeeper. Quindi non dovrebbero esserci problemi! ;)


ok ... quindi non lo inserisco... ok?


Si confermo non inserirlo. Ci sarebbe sa correggere solo qualche file di testo. Si parla ancora del gruppo "mounters" invece che "plugdev". Inoltre non c'è più NetworkManager, quindi il gruppo "netdev" viene solo usato da Avahi.
Poi, ma non è necessario, sarebbe bello che l'installer visualizzasse gli slack-desc d i pacchetti! ;)


ok ... agli slack-desc ci avevo pensato ... avevo pensato a qualcosa di ancora più bello ma non ho ancora capito bene come potrei fare...

bit123
Linux 2.4
Linux 2.4
Messaggi: 350
Iscritto il: dom nov 27, 2005 16:26
Località: Catania
Contatta:

Messaggioda bit123 » gio dic 20, 2007 13:34

Complimenti Gohanz! Grazie a questo progetto ho riscoperto il piacere di usare gnome, anche se debbo dire che il sistema è poco reattivo, le finestre ritardano a chiudersi, eppure prima era una scheggia, forse gmome richiede più risorse?
Poi devo segnalare un problema. Ho provato a disinstallare la versione precedente di GSlacky e purtroppo il sistema è rimasto irrimediabilmente corrotto: impossibile avviare qualunque window manager per mancanza di alcuni file di configurazione.
Credo che lo script di rimozione vada perfezionato in modo da ripristinare i file di configurazione ed i pacchetti aggiornati da GSlaky. Saluti!

Avatar utente
submax82
Staff
Staff
Messaggi: 3202
Iscritto il: mer ago 31, 2005 0:00
Desktop: xfce
Distribuzione: SalixOS
Contatta:

Messaggioda submax82 » gio dic 20, 2007 17:37

guardate cos'è uscito

http://blogs.gnome.org/metacity/2007/12 ... ompositor/
dopo averlo compilato, per abilitarlo

Codice: Seleziona tutto

gconftool-2 -s '/apps/metacity/general/compositing_manager' --type bool true

avrete le ombre e le trasparenze reali e potete finalmente provare per esempio AWN senza installare e attivare compiz.

:shock:

Poi devo segnalare un problema. Ho provato a disinstallare la versione precedente di GSlacky e purtroppo il sistema è rimasto irrimediabilmente corrotto: impossibile avviare qualunque window manager per mancanza di alcuni file di configurazione.
Credo che lo script di rimozione vada perfezionato in modo da ripristinare i file di configurazione ed i pacchetti aggiornati da GSlaky. Saluti!


è già così! vedi anche le linee guida del progetto... dipende di che versione vecchia parli la 2.20.0 aveva un bug nella rimozione che non ripristiva i pacchetti... ora è tutto stato risolto. ;)

anche se debbo dire che il sistema è poco reattivo, le finestre ritardano a chiudersi, eppure prima era una scheggia, forse gmome richiede più risorse?
l'md5 sum dell'iso è corretta ?!

Avatar utente
gohanz
Staff
Staff
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda gohanz » gio dic 20, 2007 19:04

Anche GSlacky ha Metacity compilato con il supporto per libcm (libcompositemanager) Quindi quella stringa Gconf potrebbe anche funzionare. Non ho hardware adatto per provare.
Effettivamente poi GSlacky è più pesante di KDE . Credo che l'unica soluzione sia portare la memoria ad i Gb. Io con 512 Mb ho quei problemi che hai descritto, speciallmente con i progammi Mono.

Quali file di configurazione mancavano? Io ho fatto un test e funziona tutto correttamente.

bit123
Linux 2.4
Linux 2.4
Messaggi: 350
Iscritto il: dom nov 27, 2005 16:26
Località: Catania
Contatta:

Messaggioda bit123 » gio dic 20, 2007 22:32

La versione era quella precedente. Purtroppo non ho annotato i messaggi di errore.

Avatar utente
gohanz
Staff
Staff
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda gohanz » ven dic 21, 2007 19:24

Le applicazioni Gnome sotto KDE girano al doppio della velocità, chissà poi da che dipende?
Forse sono le Gtk "tematizzate.:roll:
E' impressionante vedere Nautilus girare come una scheggia sotto KDE ed arrancare di brutto sotto Gnome!
Su computer non recenti è quasi consigliabile far girare le applicazioni Gnome sotto KDE.


Torna a “Gnome Slacky”

Chi c’è in linea

Visitano il forum: Nessuno e 97 ospiti